ibase_execute
ibase_fetch_object
Firebird/InterBase Functions
PHP Manual

# ibase_fetch_assoc

(PHP 4 >= 4.3.0, PHP 5)

ibase_fetch_assoc — Fetch a result row from a query as an associative array

### Description

array ibase_fetch_assoc ( resource `$result` [, int `$fetch_flag` ] )

Fetch a result row from a query as an associative array.

ibase_fetch_assoc() fetches one row of data from the `result` . If two or more columns of the result have the same field names, the last column will take precedence. To access the other column(s) of the same name, you either need to access the result with numeric indices by using ibase_fetch_row() or use alias names in your query.

### Parameters

`result`

  The result handle.

`fetch_flag`

  `fetch_flag` is a combination of the constants `IBASE_TEXT` and `IBASE_UNIXTIME` ORed together. Passing `IBASE_TEXT` will cause this function to return BLOB contents instead of BLOB ids. Passing `IBASE_UNIXTIME` will cause this function to return date/time values as Unix timestamps instead of as formatted strings.

### Return Values

Returns an associative array that corresponds to the fetched row. Subsequent calls will return the next row in the result set, or `FALSE` if there are no more rows.

### See Also

- ibase_fetch_row()
- ibase_fetch_object()

ibase_execute
ibase_fetch_object
Firebird/InterBase Functions
PHP Manual